/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-background-color: #f8fafc;
  --ifm-background-surface-color: #f1f5f9;
  --ifm-background-surface-color-dark: #e2e8f0;
  --ifm-footer-background-color: #f8fafc;
  --ifm-color-primary: #3392ea;
  --ifm-color-primary-dark: #196be7;
  --ifm-color-primary-darker: #175cdc;
  --ifm-color-primary-darkest: #133eb5;
  --ifm-color-primary-light: #4d98ed;
  --ifm-color-primary-lighter: #5a8eee;
  --ifm-color-primary-lightest: #76a7f1;
  --ifm-font-color-base: #334155;
  --ifm-code-font-size: 95%;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
html[data-theme="dark"] {
  --ifm-background-color: #111827;
  --ifm-background-surface-color: #1f2937;
  --ifm-background-surface-color-dark: #374151;
  --ifm-footer-background-color: #111827;
  --ifm-color-primary: #84c6fc;
  --ifm-color-primary-dark: #71b9fc;
  --ifm-color-primary-darker: #5f90fb;
  --ifm-color-primary-darkest: #4c92fb;
  --ifm-color-primary-light: #a9d4fd;
  --ifm-color-primary-lighter: #bce8fd;
  --ifm-color-primary-lightest: #cff7fe;
  --ifm-font-color-base: #94a3b8;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}
div[class^=announcementBar_] {
  background: repeating-linear-gradient(35deg,var(--ifm-color-primary-lightest),var(--ifm-color-primary-lightest) 20px,var(--ifm-color-primary-light) 10px,var(--ifm-color-primary-light) 40px) !important;
  font-weight: 700;
  transition-property: color, background, border-color;
  transition-duration: var(--ifm-button-transition-duration);
  transition-timing-function: var(--ifm-transition-timing-default);
}
* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/**
 Generics iframe in docs
 */
.docs-doc-page iframe[src*="youtube"] {
  box-shadow: 0 2px 6px var(--ifm-background-surface-color-dark);
  border-radius: 0.375rem;
}
.docs-doc-page iframe {
  border: 2px solid var(--ifm-background-surface-color-dark);
  display: block;
  margin: 1.7rem auto;
  max-width: 560px;
  width: 100%;
}

/**
 Navbar
 */
/*.navbar__inner {*/
/*  margin: auto;*/
/*  max-width: var(--ifm-container-width-xl);*/
/*  padding: 0 var(--ifm-spacing-horizontal);*/
/*}*/

.header-github-link:hover {
  opacity: 0.6;
}
.header-github-link::before {
  background: url("data:image/svg+xml,%3Csvg viewBox='0 0 448 512' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='rgb(60, 74, 94)' d='M48 32H400C426.5 32 448 53.5 448 80V432C448 458.5 426.5 480 400 480H48C21.5 480 0 458.5 0 432V80C0 53.5 21.5 32 48 32zM382.1 224.9L337.5 108.5C336.6 106.2 334.9 104.2 332.9 102.9C331.3 101.9 329.5 101.3 327.7 101.1C325.9 100.9 324 101.2 322.3 101.8C320.6 102.5 319 103.5 317.8 104.9C316.6 106.3 315.7 107.9 315.2 109.7L285 201.9H162.1L132.9 109.7C132.4 107.9 131.4 106.3 130.2 104.9C128.1 103.6 127.4 102.5 125.7 101.9C123.1 101.2 122.1 100.1 120.3 101.1C118.5 101.3 116.7 101.9 115.1 102.9C113.1 104.2 111.5 106.2 110.6 108.5L65.94 224.9L65.47 226.1C59.05 242.9 58.26 261.3 63.22 278.6C68.18 295.9 78.62 311.1 92.97 321.9L93.14 322L93.52 322.3L161.4 373.2L215.6 414.1C217.1 415.1 220.9 416.9 223.9 416.9C226.9 416.9 229.9 415.1 232.3 414.1L286.4 373.2L354.8 322L355 321.9C369.4 311 379.8 295.8 384.8 278.6C389.7 261.3 388.1 242.9 382.5 226.1L382.1 224.9z'/%3E%3C/svg%3E")
    no-repeat;
  content: "";
  display: flex;
  height: 1.25rem;
  width: 1.25rem;
}

[data-theme="dark"] .header-github-link::before {
  background: url("data:image/svg+xml,%3Csvg viewBox='0 0 448 512' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='rgb(148, 163, 184)' d='M48 32H400C426.5 32 448 53.5 448 80V432C448 458.5 426.5 480 400 480H48C21.5 480 0 458.5 0 432V80C0 53.5 21.5 32 48 32zM382.1 224.9L337.5 108.5C336.6 106.2 334.9 104.2 332.9 102.9C331.3 101.9 329.5 101.3 327.7 101.1C325.9 100.9 324 101.2 322.3 101.8C320.6 102.5 319 103.5 317.8 104.9C316.6 106.3 315.7 107.9 315.2 109.7L285 201.9H162.1L132.9 109.7C132.4 107.9 131.4 106.3 130.2 104.9C128.1 103.6 127.4 102.5 125.7 101.9C123.1 101.2 122.1 100.1 120.3 101.1C118.5 101.3 116.7 101.9 115.1 102.9C113.1 104.2 111.5 106.2 110.6 108.5L65.94 224.9L65.47 226.1C59.05 242.9 58.26 261.3 63.22 278.6C68.18 295.9 78.62 311.1 92.97 321.9L93.14 322L93.52 322.3L161.4 373.2L215.6 414.1C217.1 415.1 220.9 416.9 223.9 416.9C226.9 416.9 229.9 415.1 232.3 414.1L286.4 373.2L354.8 322L355 321.9C369.4 311 379.8 295.8 384.8 278.6C389.7 261.3 388.1 242.9 382.5 226.1L382.1 224.9z'/%3E%3C/svg%3E")
    no-repeat;
}

/**
 Footer
 */
.footer {
  margin-top: 4.5rem;
}
.footer__links {
  margin-bottom: 4.5rem;
}




.rwd-table {
  margin: 1em 0;
  min-width: 300px;
  display: table;
}
.rwd-table tr {
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}
.rwd-table th {
  display: none;
  border:none;
}
.rwd-table td {
  display: block;
  border:none;
}
.rwd-table td:first-child {
  padding-top: 0.5em;
}
.rwd-table td:last-child {
  padding-bottom: 0.5em;
}
.rwd-table td:before {
  content: attr(data-th) ": ";
  font-weight: bold;
  width: 6.5em;
  display: inline-block;
}
@media (min-width: 480px) {
  .rwd-table td:before {
    display: none;
 }
}
.rwd-table th, .rwd-table td {
  text-align: left;
}
@media (min-width: 480px) {
  .rwd-table th, .rwd-table td {
    display: table-cell;
    padding: 0.25em 0.5em;
 }
  .rwd-table th:first-child, .rwd-table td:first-child {
    padding-left: 0;
 }
  .rwd-table th:last-child, .rwd-table td:last-child {
    padding-right: 0;
 }
}
.rwd-table {
  background: #34495e;
  color: #fff;
  border-radius: 0.4em;
  overflow: hidden;
}
.rwd-table tr {
  border-color: #46637f;
}
.rwd-table th, .rwd-table td {
  margin: 0.5em 1em;
}
@media (min-width: 480px) {
  .rwd-table th, .rwd-table td {
    padding: 1em !important;
 }
}
.rwd-table th, .rwd-table td:before {
  color: var(--ifm-color-primary-lightest);
}